Bug 223564 - NCQ is not being detected or enabled on ICH8R
NCQ is not being detected or enabled on ICH8R
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 19:30 EST by Michael Cronenworth
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.20-1.2925.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 7987 None None None Never

  None (edit)
Description Michael Cronenworth 2007-01-19 19:30:04 EST
Description of problem: I have an Asus P5B-E motherboard that has an i965
chipset with an ICH8R. I also have a Seagate 7200.10 320 gig S-ATA hard drive.
Both devices support NCQ. NCQ is only being enabled on the hard drive and not on
the host controller. I have a feeling that the "ahci" driver is seeing the
AsusTek Subsystem ID (see lspci below) and not enabling full support of my ICH8R.


Version-Release number of selected component (if applicable): 2.6.19-1.2895.fc6


How reproducible: Always


Steps to Reproduce:
1. Boot with AHCI or RAID configuration.
2. AHCI is detected, but NCQ is not.
3. NCQ is not enabled.
  
Actual results: NCQ disabled.


Expected results: NCQ enabled.


Additional info: 
lspci -vv
00:1f.2 RAID bus controller: Intel Corporation 82801HR/HO/HH (ICH8R/DO/DH) SATA
RAID Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81ec
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 2299
        Region 0: I/O ports at ec00 [size=8]
        Region 1: I/O ports at e880 [size=4]
        Region 2: I/O ports at e800 [size=8]
        Region 3: I/O ports at e480 [size=4]
        Region 4: I/O ports at e400 [size=32]
        Region 5: Memory at febff800 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/4 Enable+
                Address: fee01000  Data: 0099
        Capabilities: [70] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a8] #12 [0010]
---------------------------------------------
dmesg
libata version 2.00 loaded.
ahci 0000:00:1f.2: version 2.0
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 19
usb 3-1: device not accepting address 2, error -71
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 6 ports ? Gbps 0x3f impl RAID mode
ahci 0000:00:1f.2: flags: 64bit ilck stag led pmp pio 

The last line should be:
ahci 0000:00:1f.2: flags: 64bit ncq ilck stag led pmp pio 

Hard drive dmesg:
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1.00: ATA-7, max UDMA/133, 625142448 sectors: LBA48 NCQ (depth 0/32)
Comment 1 Michael Cronenworth 2007-01-26 01:36:36 EST
Should I just report this to the main kernel Bugzilla? It's been a week and no
one has commented, or am I being too impatient?
Comment 2 Marcus Haebler 2007-02-18 12:33:33 EST
I have a very similar hardware configuration - Asus P5B-Deluxe + 5 Seagate
7200.10 320 running FC6. NCQ is not enabled by default either. When I try to
enable it via 

  echo 31 > /sys/block/sdX/device/queue_depth

with sdX in {sda, sdb, sdc, sdd, sde) I end up with

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228979

How about you?

Comment 3 Michael Cronenworth 2007-03-12 21:38:50 EDT
I've loaded the 2.6.20-1.2925.fc6 RPM from testing and it enabled NCQ. Looks
like the only way to go is to use 2.6.20.

Feel free to close this when you officially release 2.6.20 for FC6.

Note You need to log in before you can comment on or make changes to this bug.